module common_variables
! This module contains common variables. 
! By including this I don't need to define the same variable multiply times.
! Note that these variables should be considered short-lived.
character*70, parameter :: lversion="spool2eop version 2022-08-12 written by John Gipson" 

character*128 lspoolfile
character*128 leop_file 
character*128 leap_second_file
character*128 lmaster_dir
character*128 lnscodes_file
character*20  lnutation_type   !Either CIO_BASED (default) or EQUINOX_BASED 


character*200  ldum           !typically used to hold input line
integer ind                   !index of sub-string inaother string
character*512 line_in         !holds a line in the eop file. 

! Stuff for parsing input lines into tokens
integer, parameter :: max_token=12
integer num_token
character*128 ltoken(max_token)
character*32 ltmp1,ltmp2,ltmp3      !part of an input line that we are not interested


! Various times
integer iutc_prog(6)            !time the program was run
integer iutc_beg(6)             !first data
integer iutc_end(6)             !last data in file 

end module common_variables
